#include <iostream>

using namespace std;

int a[100005],x[100005],y[100005];

int main()
{
    int n,m,zbir=0;
    cin>>n>>m;
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<m;i++)
    {
        cin>>x[i]>>y[i];
        if(a[x[i]]+a[y[i]]>0)zbir+=a[x[i]]+a[y[i]];
        else zbir-=a[x[i]]+a[y[i]];
    }
    cout<<zbir<<endl;
}